/*
 *	   -.
 *       ,    define IR_SAMSUNG_ONLY        
 *   .       Samsung
 *  ver 1.1
 */ 

#ifndef IRRECIVE_H_
#define IRRECIVE_H_

#include "bits_macros.h"
#include "Clock.h"

#define REMOT_TV_ADR		0xe0		// -.          (   IR_SAMSUNG_ONLY)

typedef void (*RECIV_IR_PTR)(u08 AdrIR, u32 ComIR);	//           

//--------------     IRcmdList ---------------
#define IR_NUM_COMMAND		6			//     
#define IR_NUM_BYTS			4			//    
//    !             ir_set_code_name   ClockMatrix.c
#define IR_OK				0			//  
#define IR_STEP				1			//  Step
#define IR_INC				2			//  
#define IR_DEC				3			//  
#define IR_PLAY_START		4			//   
#define IR_PLAY_STOP		5			//

extern u32 IRcmdList[IR_NUM_COMMAND];	//  

RECIV_IR_PTR IRReciveReady;				//       . ..    ,      

#define PERIOD_INT_IR	(30517)			//       32768 , ns
extern volatile u16 PeriodIR;			//     ,      -
VOID_PTR_VOID IRPeriodEvent;			//     PERIOD_INT_IR.           
void IRReciveRdyOn(void);				//       
void IRStartFromDelay(void);			//  

void IRReciverInit(void);				//  

#endif /* IRRECIVE_H_ */