/*
 *  
 */ 


#ifndef INCFILE1_H_
#define INCFILE1_H_

#include "avrlibtypes.h"

#define VOL_TYPE_COUNT		4				//    
//   
enum tVolumeType{
	vtButton,								//  
	vtEachHour,								// -/-       -/-   
	vtAlarm,								// -/-       -/-  
	vtSensorTest							// -/-       -/-        
	};

//  
enum tVolumeLevel{
	vlConst,								//   
	vlIncreas,								//    
	vlIncreaseMax,							//    
	vlLast,									// ,      
	};

#define VOLUME_LEVEL_MAX	64				//        
#define VOL_CHANGE_LVL_TIME	250				//      , 

//    
struct sVolume{
	enum tVolumeLevel LevelVol;				// 
	u08 Volume;								//    
	};

extern struct sVolume VolumeClock[VOL_TYPE_COUNT];

void VolumeIni(void);						//  
void VolumeKeyBeepAdd(void);				//    
void VolumeEachHourAdd(void);				//   
void VolumeAlarmAdd(void);					//  
void VolumeTypeTuneAlarm(void);				//     
void VolumeOff(void);						// 
void VolumeOn(void);						// 
u08 VolumeAlrmTypeIsNeedLevel(void);		//     

void VolumeAdjustStart(enum tVolumeType Value);//      

#endif /* INCFILE1_H_ */